diff deploy/osx/notarize.sh @ 724:c59c17665162

Further macOS deployment fixes
author Chris Cannam <cannam@all-day-breakfast.com>
date Fri, 14 Dec 2018 17:28:31 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/osx/notarize.sh	Fri Dec 14 17:28:31 2018 +0000
@@ -0,0 +1,20 @@
+## Before this, we need to open Application Loader and log in to the
+## right iTunes Connect account
+
+echo "Not running - read, review, and update script first"
+exit 1
+
+xcrun altool --notarize-app -f "EasyMercurial-1.4.dmg" --primary-bundle-id org.easyhg.EasyMercurial -u "cannam+apple@all-day-breakfast.com" -p @keychain:"Application Loader: cannam+apple@all-day-breakfast.com"
+
+## That churns for a while and then dumps out a UUID
+
+# xcrun altool --notarization-info UUID -u "cannam+apple@all-day-breakfast.com" -p @keychain:"Application Loader: cannam+apple@all-day-breakfast.com"
+
+## Returns "in progress" at first, then eventually a report with a URL
+## that can be retrieved as JSON payload using wget. An email is also
+## sent to the iTunes Connect account holder when it completes
+
+# xcrun stapler staple -v "EasyMercurial-1.4.dmg"
+
+# spctl -a -v "/Applications/EasyMercurial.app"
+